background_img_card:
  label: Background Image Card
  namespace: Molecules/TM - Cards
  use: '@molecules/tm-cards/background-img-card/background-img-card.twig'
  description: Background Image Card
  libraries:
    - background_img_card_lib:
        css:
          component:
            ../styles/background-img-card.css: {weight: 10}

  fields:
    img_url:
      type: text
      label: The image url
      description: The image url
      preview: https://picsum.photos/360/410?rnd=a1
    img_alt:
      type: text
      label: The alt text
      description: The alt text
      preview: Logo of the Your County Pass
    title:
      type: text
      label: The title
      description: The title
      preview: Visit Stirlingshire
    body:
      type: text
      label: body
      description: body
      preview: Hidden Scotland Travel Inspiration
    card_link:
      type: text
      label: The link URL
      description: The link URL
      preview: www.train-operator.co.uk
    top_text:
      type: text
      label: Top text
      description: Top text
      preview: Our top pick
    top_text_icon:
      type: text
      label: Top text icon
      description: Top text icon
      preview: fas fa-star

  settings:
    show_top_text:
      type: boolean
      label: Show top left text
      default_value: true
      preview: true
    wide_image:
      type: boolean
      label: Wide image
      default_value: false
      preview: false
